---
title: FullscreenOptions
slug: Web/API/FullscreenOptions
tags:
  - API
  - Configuration
  - Dictionary
  - Full-screen
  - Fullscreen API
  - FullscreenOptions
  - Navigation
  - Options
  - Reference
  - Settings
  - UI
  - fullscreen
  - screen
---
<p>{{APIRef("Fullscreen API")}}</p>

<p><span class="seoSummary">The <strong><code>FullscreenOptions</code></strong> dictionary is used to provide configuration options when calling {{DOMxRef("Element.requestFullscreen", "requestFullscreen()")}} on an element to place that element into full-screen mode.</span></p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef("FullscreenOptions.navigationUI", "navigationUI")}}{{Optional_Inline}}</dt>
 <dd>A string controlling whether or not to keep browser user interface elements visible while the element is in full-screen mode. The default, <code>"auto"</code>, lets the browser make this decision.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FullscreenOptions")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{DOMxRef("Element.requestFullscreen()")}}</li>
</ul>
